import request from '@/utils/request'

// 查询短视频标签列表
export function listVideoTags(query) {
  return request({
    url: '/course/videoTags/list',
    method: 'get',
    params: query
  })
}

export function subList(query) {
  return request({
    url: '/course/videoTags/subList',
    method: 'get',
    params: query
  })
}

// 查询短视频标签详细
export function getVideoTags(tagId) {
  return request({
    url: '/course/videoTags/' + tagId,
    method: 'get'
  })
}

// 新增短视频标签
export function addVideoTags(data) {
  return request({
    url: '/course/videoTags',
    method: 'post',
    data: data
  })
}

// 修改短视频标签
export function updateVideoTags(data) {
  return request({
    url: '/course/videoTags',
    method: 'put',
    data: data
  })
}

// 删除短视频标签
export function delVideoTags(tagId) {
  return request({
    url: '/course/videoTags/' + tagId,
    method: 'delete'
  })
}

// 导出短视频标签
export function exportVideoTags(query) {
  return request({
    url: '/course/videoTags/export',
    method: 'get',
    params: query
  })
}
